<?php

declare(strict_types=1);

namespace Flowaxy\Contracts\Http;

// Інтерфейс для контролерів
interface ControllerInterface
{
    // Обробити запит
    public function handle(RequestInterface $request): ResponseInterface;

    // Отримати назву контролера
    public function getName(): string;
}
